NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Routing.BendCornerCollection Member List

This is the complete list of members for NXOpen.Routing.BendCornerCollection, including all inherited members.

AssignCornerByBendRadius(NXOpen.Routing.ControlPoint bendCrn, double bendRadius)NXOpen.Routing.BendCornerCollectioninline
AssignCornerByBendRatio(NXOpen.Routing.ControlPoint bendCrn, double bendRatio)NXOpen.Routing.BendCornerCollectioninline
AssignCornerByBendTable(NXOpen.Routing.ControlPoint rcp, string bendTable)NXOpen.Routing.BendCornerCollectioninline
AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
Create(NXOpen.Routing.ControlPoint rcp, bool useBendRatio, double bendRatio, double bendRadius)NXOpen.Routing.BendCornerCollectioninline
CreateCorner(NXOpen.Routing.ControlPoint rcp, NXOpen.Routing.CornerTypeBuilder.BendMethods bendMethod, double bendRatio, double bendRadius)NXOpen.Routing.BendCornerCollectioninline
EnumerateMoveNext(ref Tag currentTag, byte[] state)NXOpen.Routing.BendCornerCollectioninlineprotectedvirtual
GetBendAssociatedToSegment(NXOpen.Routing.ISegment segment)NXOpen.Routing.BendCornerCollectioninline
GetBendCornersFromObjects(NXOpen.NXObject[] objects)NXOpen.Routing.BendCornerCollectioninline
GetEnumerator()NXOpen.TaggedObjectCollectioninline
NextSinkNXOpen.Utilities.NXRemotableObject
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.Routing.BendCornerCollection
ToArray()NXOpen.Routing.BendCornerCollectioninline
Type enum nameNXOpen.Routing.BendCornerCollection
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.